com.fasterxml.jackson.dataformat.avro.deser

## Class ScalarDecoder.EnumDecoder

- java.lang.Object
- - com.fasterxml.jackson.dataformat.avro.deser.ScalarDecoder
  - - com.fasterxml.jackson.dataformat.avro.deser.ScalarDecoder.EnumDecoder

- Enclosing class:
    ScalarDecoder

      protected static final class ScalarDecoder.EnumDecoder
      extends ScalarDecoder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.dataformat.avro.deser.ScalarDecoder

      `ScalarDecoder.BooleanDecoder, ScalarDecoder.BytesDecoder, ScalarDecoder.DoubleReader, ScalarDecoder.EnumDecoder, ScalarDecoder.FixedDecoder, ScalarDecoder.FloatReader, ScalarDecoder.IntReader, ScalarDecoder.LongReader, ScalarDecoder.NullReader, ScalarDecoder.ScalarUnionDecoder, ScalarDecoder.StringReader`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `_name`
    `protected String[]` | `_values`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EnumDecoder(String name, List<String> enumNames)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AvroFieldReader` | `asFieldReader(String name, boolean skipper)`
    `com.fasterxml.jackson.core.JsonToken` | `decodeValue(AvroParserImpl parser)`
    `String` | `getTypeId()`
    `protected void` | `skipValue(AvroParserImpl parser)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _name

          protected final String _name

    - #### _values

          protected final String[] _values

  - ### Constructor Detail

    - #### EnumDecoder

          public EnumDecoder(String name,
                             List<String> enumNames)

  - ### Method Detail

    - #### decodeValue

          public com.fasterxml.jackson.core.JsonToken decodeValue(AvroParserImpl parser)
                                                           throws IOException

      Specified by:
        `decodeValue` in class `ScalarDecoder`
      Throws:
        `IOException`

    - #### skipValue

          protected void skipValue(AvroParserImpl parser)
                            throws IOException

      Specified by:
        `skipValue` in class `ScalarDecoder`
      Throws:
        `IOException`

    - #### getTypeId

          public String getTypeId()

      Specified by:
        `getTypeId` in class `ScalarDecoder`

    - #### asFieldReader

          public AvroFieldReader asFieldReader(String name,
                                               boolean skipper)

      Specified by:
        `asFieldReader` in class `ScalarDecoder`

Copyright © 2019 FasterXML. All rights reserved.